Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1594883 - `systemctl suspend` now asks for password (to set wall message)
Summary: `systemctl suspend` now asks for password (to set wall message)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-25 15:41 UTC by Alois Mahdal
Modified: 2018-11-30 17:28 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:28:33 UTC


Attachments (Terms of Use)

Description Alois Mahdal 2018-06-25 15:41:33 UTC
Description of problem
======================

Recently `systemctl suspend` started to ask for user password because of
wall message.


Version-Release number of selected component (if applicable)
============================================================

systemd-234-11.git5f8984e.fc27.x86_64


How reproducible
================

always


Steps to Reproduce
==================

systemctl suspend -i


Actual results
==============

asks for password


Expected results
================

suspends without asking


Additional info
===============

Terminal output (password ask interrupted by C-D):

    $ systemctl suspend
    ==== AUTHENTICATING FOR org.freedesktop.login1.set-wall-message ===
    Authentication is required to set a wall message
    Authenticating as: Alois Mahdal (amahdal)
    Password: 
    ** (pkttyagent:17759): ERROR **: Got unexpected EOF while reading from controlling terminal.
    Failed to set wall message, ignoring: Access denied
    polkit-agent-helper-1: pam_authenticate failed: Authentication failure
    Failed to suspend system via logind: Interactive authentication required.
    Failed to start suspend.target: Interactive authentication required.
    See system logs and 'systemctl status suspend.target' for details.
    $

Adding --no-wall does not help, but systemctl(1) seems to suggest it only applies to "halt, power-off, reboot" anyway.  So either wall message should not be set before suspend, or the --no-wall option should apply to it as well.

Comment 1 Alois Mahdal 2018-07-02 13:41:11 UTC
I've upgraded to F28 and tried it again and I don't get asked for password anymore.

Comment 2 Steeve McCauley 2018-07-26 15:25:54 UTC
I get asked for a password in F28 for wall message and to suspend the system.  When the system gets in this state I also cannot unlock in gnome settings details/users.  It's as if the system no longer realises thta I'm in wheel group, but sudo apparently has no problem detecting that my user is in wheel.

Comment 3 Steeve McCauley 2018-07-26 15:29:14 UTC
FWIW, I also get a dialog box asking for auth in gnome when attempting to suspend the system with the power button, this never happened to me until F28.

Comment 4 Ben Cotton 2018-11-27 14:54:42 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Andrew Travneff 2018-11-29 18:52:06 UTC
I see something similar on F29:

# keep cancelling the prompts
$ systemctl suspend
Failed to set wall message, ignoring: Access denied
Failed to suspend system via logind: Access denied
Failed to start suspend.target: Access denied
See system logs and 'systemctl status suspend.target' for details.

$ grep VER /etc/os-release 
VERSION="29 (Workstation Edition)"
VERSION_ID=29
REDHAT_BUGZILLA_PRODUCT_VERSION=29
REDHAT_SUPPORT_PRODUCT_VERSION=29

Systemd version:
systemd-239-6.git9f3aed1.fc29.x86_64

Comment 6 Andrew Travneff 2018-11-29 19:02:46 UTC
Have also polkitd messages about that in /var/log/secure:

polkitd[2033]: Operator of unix-session:1 FAILED to authenticate to gain authorization for action org.freedesktop.login1.suspend for system-bus-name::1.147 [/usr/libexec/org_kde_powerdevil -session 10c6e5c672000150004833200000013210008_1543436317_856234] (owned by unix-user:andrew)
polkitd[2033]: Registered Authentication Agent for unix-process:25847:8093426 (system bus name :1.3153 [/usr/bin/pkttyagent --notify-fd 5 --fallback], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale uk_UA.UTF-8)
polkitd[2033]: Operator of unix-session:1 FAILED to authenticate to gain authorization for action org.freedesktop.login1.set-wall-message for system-bus-name::1.3152 [systemctl suspend] (owned by unix-user:andrew)
polkitd[2033]: Operator of unix-session:1 FAILED to authenticate to gain authorization for action org.freedesktop.login1.suspend for system-bus-name::1.3152 [systemctl suspend] (owned by unix-user:andrew)
polkitd[2033]: Operator of unix-session:1 FAILED to authenticate to gain authorization for action org.freedesktop.systemd1.manage-units for system-bus-name::1.3152 [systemctl suspend] (owned by unix-user:andrew)
polkitd[2033]: Unregistered Authentication Agent for unix-process:25847:8093426 (system bus name :1.3153, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale uk_UA.UTF-8) (disconnected from bus)

Version: polkit-0.115-2.fc29.x86_64

Comment 7 Ben Cotton 2018-11-30 17:28:33 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.